From: Aron Xu <aron@debian.org>
Date: Wed, 3 Oct 2012 00:59:10 +0800
Subject: fix typo

---
 doc/APIchunk6.html                            |    2 +-
 doc/APIchunk8.html                            |    2 +-
 doc/EXSLT/bugs.html                           |    8 ++++----
 doc/EXSLT/exslt.html                          |    8 ++++----
 doc/apibuild.py                               |    2 +-
 doc/html/libxslt-extra.html                   |    2 +-
 doc/html/libxslt-imports.html                 |    2 +-
 doc/html/libxslt-xsltInternals.html           |    6 +++---
 doc/html/libxslt-xsltutils.html               |    6 +++---
 doc/libxslt-api.xml                           |   20 ++++++++++----------
 doc/libxslt-refs.xml                          |    4 ++--
 libexslt/exsltconfig.h.in                     |    2 +-
 libxslt/extensions.c                          |    2 +-
 libxslt/extra.c                               |    2 +-
 libxslt/imports.c                             |    2 +-
 libxslt/numbers.c                             |    4 ++--
 libxslt/xsltInternals.h                       |    6 +++---
 libxslt/xsltconfig.h.in                       |    4 ++--
 libxslt/xsltutils.c                           |   14 +++++++-------
 libxslt/xsltwin32config.h.in                  |    4 ++--
 python/tests/pyxsltproc.py                    |    4 ++--
 tests/docbook/result/fo/gdp-handbook.fo       |    2 +-
 tests/docbook/result/html/gdp-handbook.html   |    2 +-
 tests/docbook/result/xhtml/gdp-handbook.xhtml |    2 +-
 tests/docbook/test/gdp-handbook.xml           |    2 +-
 tests/plugins/testplugin.c                    |    2 +-
 xsltproc/xsltproc.c                           |    2 +-
 29 files changed, 63 insertions(+), 63 deletions(-)

diff --git a/doc/APIchunk6.html b/doc/APIchunk6.html
index 3903db1..d348c6f 100644
--- a/doc/APIchunk6.html
+++ b/doc/APIchunk6.html
@@ -141,7 +141,7 @@ A:link, A:visited, A:active { text-decoration: underline }
 <a href="html/libxslt-transform.html#xsltText">xsltText</a><br />
 <a href="html/libxslt-xsltInternals.html#xsltTransformFunction">xsltTransformFunction</a><br />
 <a href="html/libxslt-transform.html#xsltValueOf">xsltValueOf</a><br />
-</dd><dt>informations</dt><dd><a href="html/libxslt-xsltInternals.html#_xsltStylesheet">_xsltStylesheet</a><br />
+</dd><dt>information</dt><dd><a href="html/libxslt-xsltInternals.html#_xsltStylesheet">_xsltStylesheet</a><br />
 <a href="html/libxslt-xsltInternals.html#_xsltTemplate">_xsltTemplate</a><br />
 <a href="html/libxslt-xsltInternals.html#_xsltTransformContext">_xsltTransformContext</a><br />
 <a href="html/libxslt-extra.html#xsltDebug">xsltDebug</a><br />
diff --git a/doc/APIchunk8.html b/doc/APIchunk8.html
index 741f7ea..4c84886 100644
--- a/doc/APIchunk8.html
+++ b/doc/APIchunk8.html
@@ -224,7 +224,7 @@ A:link, A:visited, A:active { text-decoration: underline }
 <a href="html/libxslt-xsltInternals.html#xsltIsBlank">xsltIsBlank</a><br />
 <a href="html/libxslt-security.html#xsltSetCtxtSecurityPrefs">xsltSetCtxtSecurityPrefs</a><br />
 <a href="html/libxslt-security.html#xsltSetSecurityPrefs">xsltSetSecurityPrefs</a><br />
-</dd><dt>ouput</dt><dd><a href="html/libxslt-xsltInternals.html#xsltFormatNumberConversion">xsltFormatNumberConversion</a><br />
+</dd><dt>output</dt><dd><a href="html/libxslt-xsltInternals.html#xsltFormatNumberConversion">xsltFormatNumberConversion</a><br />
 </dd><dt>out</dt><dd><a href="html/libxslt-xsltutils.html#xsltSetGenericDebugFunc">xsltSetGenericDebugFunc</a><br />
 <a href="html/libxslt-xsltutils.html#xsltSetGenericErrorFunc">xsltSetGenericErrorFunc</a><br />
 <a href="html/libxslt-xsltutils.html#xsltSetTransformErrorFunc">xsltSetTransformErrorFunc</a><br />
diff --git a/doc/EXSLT/bugs.html b/doc/EXSLT/bugs.html
index bdd9bc5..e7537e5 100644
--- a/doc/EXSLT/bugs.html
+++ b/doc/EXSLT/bugs.html
@@ -23,7 +23,7 @@ for portability problem, it makes things really harder to track and in some
 cases I'm not the best person to answer a given question, ask the list
 instead. <strong>Do not send code, I won't debug it</strong> (but patches are
 really appreciated!).</p><p>Check the following too <span style="color: #E50000">before
-posting</span>:</p><ul><li><a href="search.php">use the search engine</a> to get informations
+posting</span>:</p><ul><li><a href="search.php">use the search engine</a> to get information
     related to your problem.</li>
   <li>make sure you are <a href="ftp://xmlsoft.org/">using a recent
     version</a>, and that the problem still shows up in those</li>
@@ -37,7 +37,7 @@ posting</span>:</p><ul><li><a href="search.php">use the search engine</a> to get
     logs just preceding the possible problem</li>
   <li>Please send the command showing the error as well as the input and
     stylesheet (as an attachment)</li>
-</ul><p>Then send the bug with associated informations to reproduce it to the <a href="mailto:xslt@gnome.org">xslt@gnome.org</a> list; if it's really libxslt
+</ul><p>Then send the bug with associated information to reproduce it to the <a href="mailto:xslt@gnome.org">xslt@gnome.org</a> list; if it's really libxslt
 related I will approve it. Please do not send mail to me directly, it makes
 things really hard to track and in some cases I am not the best person to
 answer a given question, ask on the list.</p><p>To <span style="color: #E50000">be really clear about support</span>:</p><ul><li>Support or help <span style="color: #E50000">request MUST be sent to
@@ -49,8 +49,8 @@ answer a given question, ask on the list.</p><p>To <span style="color: #E50000">
     libxslt.</li>
   <li>There is <span style="color: #E50000">no garantee for support</span>,
     if your question remains unanswered after a week, repost it, making sure
-    you gave all the detail needed and the informations requested.</li>
-  <li>Failing to provide informations as requested or double checking first
+    you gave all the detail needed and the information requested.</li>
+  <li>Failing to provide information as requested or double checking first
     for prior feedback also carries the implicit message "the time of the
     library maintainers is less valuable than my time" and might not be
     welcome.</li>
diff --git a/doc/EXSLT/exslt.html b/doc/EXSLT/exslt.html
index e39aba5..b14ea49 100644
--- a/doc/EXSLT/exslt.html
+++ b/doc/EXSLT/exslt.html
@@ -91,7 +91,7 @@ really appreciated!).</p>
 <p>Check the following too <span style="color: #E50000">before
 posting</span>:</p>
 <ul>
-  <li><a href="search.php">use the search engine</a> to get informations
+  <li><a href="search.php">use the search engine</a> to get information
     related to your problem.</li>
   <li>make sure you are <a href="ftp://xmlsoft.org/">using a recent
     version</a>, and that the problem still shows up in those</li>
@@ -108,7 +108,7 @@ posting</span>:</p>
     stylesheet (as an attachment)</li>
 </ul>
 
-<p>Then send the bug with associated informations to reproduce it to the <a
+<p>Then send the bug with associated information to reproduce it to the <a
 href="mailto:xslt@gnome.org">xslt@gnome.org</a> list; if it's really libxslt
 related I will approve it. Please do not send mail to me directly, it makes
 things really hard to track and in some cases I am not the best person to
@@ -125,8 +125,8 @@ answer a given question, ask on the list.</p>
     libxslt.</li>
   <li>There is <span style="color: #E50000">no garantee for support</span>,
     if your question remains unanswered after a week, repost it, making sure
-    you gave all the detail needed and the informations requested.</li>
-  <li>Failing to provide informations as requested or double checking first
+    you gave all the detail needed and the information requested.</li>
+  <li>Failing to provide information as requested or double checking first
     for prior feedback also carries the implicit message "the time of the
     library maintainers is less valuable than my time" and might not be
     welcome.</li>
diff --git a/doc/apibuild.py b/doc/apibuild.py
index df1d66b..31598bb 100755
--- a/doc/apibuild.py
+++ b/doc/apibuild.py
@@ -674,7 +674,7 @@ class CParser:
 	return((args, desc))
 
      #
-     # Parse a comment block and merge the informations found in the
+     # Parse a comment block and merge the information found in the
      # parameters descriptions, finally returns a block as complete
      # as possible
      #
diff --git a/doc/html/libxslt-extra.html b/doc/html/libxslt-extra.html
index 9e03622..9d16496 100644
--- a/doc/html/libxslt-extra.html
+++ b/doc/html/libxslt-extra.html
@@ -19,7 +19,7 @@ A:link, A:visited, A:active { text-decoration: underline }
 <h3><a name="XSLT_XT_NAMESPACE" id="XSLT_XT_NAMESPACE"></a>Macro: XSLT_XT_NAMESPACE</h3><pre>#define XSLT_XT_NAMESPACE</pre><p>This is James Clark's XT processor namespace for extensions.</p>
 <h3><a name="xsltDebug" id="xsltDebug"></a>Function: xsltDebug</h3><pre class="programlisting">void	xsltDebug			(<a href="libxslt-xsltInternals.html#xsltTransformContextPtr">xsltTransformContextPtr</a> ctxt, <br />					 xmlNodePtr node, <br />					 xmlNodePtr inst, <br />					 <a href="libxslt-xsltInternals.html#xsltStylePreCompPtr">xsltStylePreCompPtr</a> comp)<br />
 </pre><p>Process an debug node</p>
-<div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>ctxt</tt></i>:</span></td><td>an XSLT processing context</td></tr><tr><td><span class="term"><i><tt>node</tt></i>:</span></td><td>The current node</td></tr><tr><td><span class="term"><i><tt>inst</tt></i>:</span></td><td>the instruction in the stylesheet</td></tr><tr><td><span class="term"><i><tt>comp</tt></i>:</span></td><td>precomputed informations</td></tr></tbody></table></div><h3><a name="xsltFunctionNodeSet" id="xsltFunctionNodeSet"></a>Function: xsltFunctionNodeSet</h3><pre class="programlisting">void	xsltFunctionNodeSet		(xmlXPathParserContextPtr ctxt, <br />					 int nargs)<br />
+<div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>ctxt</tt></i>:</span></td><td>an XSLT processing context</td></tr><tr><td><span class="term"><i><tt>node</tt></i>:</span></td><td>The current node</td></tr><tr><td><span class="term"><i><tt>inst</tt></i>:</span></td><td>the instruction in the stylesheet</td></tr><tr><td><span class="term"><i><tt>comp</tt></i>:</span></td><td>precomputed information</td></tr></tbody></table></div><h3><a name="xsltFunctionNodeSet" id="xsltFunctionNodeSet"></a>Function: xsltFunctionNodeSet</h3><pre class="programlisting">void	xsltFunctionNodeSet		(xmlXPathParserContextPtr ctxt, <br />					 int nargs)<br />
 </pre><p>Implement the node-set() XSLT function node-set node-set(result-tree) This function is available in libxslt, saxon or xt namespace.</p>
 <div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>ctxt</tt></i>:</span></td><td>the XPath Parser context</td></tr><tr><td><span class="term"><i><tt>nargs</tt></i>:</span></td><td>the number of arguments</td></tr></tbody></table></div><h3><a name="xsltRegisterAllExtras" id="xsltRegisterAllExtras"></a>Function: xsltRegisterAllExtras</h3><pre class="programlisting">void	xsltRegisterAllExtras		(void)<br />
 </pre><p>Registers the built-in extensions</p>
diff --git a/doc/html/libxslt-imports.html b/doc/html/libxslt-imports.html
index 8b7de45..7dbbf9f 100644
--- a/doc/html/libxslt-imports.html
+++ b/doc/html/libxslt-imports.html
@@ -17,7 +17,7 @@ A:link, A:visited, A:active { text-decoration: underline }
 <h3><a name="XSLT_GET_IMPORT_INT" id="XSLT_GET_IMPORT_INT"></a>Macro: XSLT_GET_IMPORT_INT</h3><pre>#define XSLT_GET_IMPORT_INT</pre><p>A macro to import intergers from the stylesheet cascading order.</p>
 <h3><a name="XSLT_GET_IMPORT_PTR" id="XSLT_GET_IMPORT_PTR"></a>Macro: XSLT_GET_IMPORT_PTR</h3><pre>#define XSLT_GET_IMPORT_PTR</pre><p>A macro to import pointers from the stylesheet cascading order.</p>
 <h3><a name="xsltFindElemSpaceHandling" id="xsltFindElemSpaceHandling"></a>Function: xsltFindElemSpaceHandling</h3><pre class="programlisting">int	xsltFindElemSpaceHandling	(<a href="libxslt-xsltInternals.html#xsltTransformContextPtr">xsltTransformContextPtr</a> ctxt, <br />					 xmlNodePtr node)<br />
-</pre><p>Find strip-space or preserve-space informations for an element respect the import precedence or the wildcards</p>
+</pre><p>Find strip-space or preserve-space information for an element respect the import precedence or the wildcards</p>
 <div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>ctxt</tt></i>:</span></td><td>an XSLT transformation context</td></tr><tr><td><span class="term"><i><tt>node</tt></i>:</span></td><td>an XML node</td></tr><tr><td><span class="term"><i><tt>Returns</tt></i>:</span></td><td>1 if space should be stripped, 0 if not, and 2 if everything should be CDTATA wrapped.</td></tr></tbody></table></div><h3><a name="xsltFindTemplate" id="xsltFindTemplate"></a>Function: xsltFindTemplate</h3><pre class="programlisting"><a href="libxslt-xsltInternals.html#xsltTemplatePtr">xsltTemplatePtr</a>	xsltFindTemplate	(<a href="libxslt-xsltInternals.html#xsltTransformContextPtr">xsltTransformContextPtr</a> ctxt, <br />					 const xmlChar * name, <br />					 const xmlChar * nameURI)<br />
 </pre><p>Finds the named template, apply import precedence rule. REVISIT TODO: We'll change the nameURI fields of templates to be in the string dict, so if the specified @nameURI is in the same dict, then use pointer comparison. Check if this can be done in a sane way. Maybe this function is not needed internally at transformation-time if we hard-wire the called templates to the caller.</p>
 <div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>ctxt</tt></i>:</span></td><td>an XSLT transformation context</td></tr><tr><td><span class="term"><i><tt>name</tt></i>:</span></td><td>the template name</td></tr><tr><td><span class="term"><i><tt>nameURI</tt></i>:</span></td><td>the template name URI</td></tr><tr><td><span class="term"><i><tt>Returns</tt></i>:</span></td><td>the <a href="libxslt-xsltInternals.html#xsltTemplatePtr">xsltTemplatePtr</a> or NULL if not found</td></tr></tbody></table></div><h3><a name="xsltNeedElemSpaceHandling" id="xsltNeedElemSpaceHandling"></a>Function: xsltNeedElemSpaceHandling</h3><pre class="programlisting">int	xsltNeedElemSpaceHandling	(<a href="libxslt-xsltInternals.html#xsltTransformContextPtr">xsltTransformContextPtr</a> ctxt)<br />
diff --git a/doc/html/libxslt-xsltInternals.html b/doc/html/libxslt-xsltInternals.html
index 5cd9cc3..1daac7a 100644
--- a/doc/html/libxslt-xsltInternals.html
+++ b/doc/html/libxslt-xsltInternals.html
@@ -626,7 +626,7 @@ The content of this structure is not made public by the API.
     void *	_private	: user defined data
     int	extrasNr	: the number of extras used
     int	extrasMax	: the number of extras allocated
-    <a href="libxslt-xsltInternals.html#xsltRuntimeExtraPtr">xsltRuntimeExtraPtr</a>	extras	: extra per runtime informations
+    <a href="libxslt-xsltInternals.html#xsltRuntimeExtraPtr">xsltRuntimeExtraPtr</a>	extras	: extra per runtime information
     <a href="libxslt-xsltInternals.html#xsltDocumentPtr">xsltDocumentPtr</a>	styleList	: the stylesheet docs list
     void *	sec	: the security preferences if any
     xmlGenericErrorFunc	error	: a specific error handler
@@ -689,7 +689,7 @@ void	xsltElemPreCompDeallocator	(<a href="libxslt-xsltInternals.html#xsltElemPre
 </pre><p>Marks the result of a value-returning extension instruction in order to avoid it being garbage collected before the extension instruction exits. Note that one still has to additionally register any newly created tree fragments (via xsltCreateRVT()) with xsltRegisterLocalRVT().</p>
 <div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>ctxt</tt></i>:</span></td><td>an XSLT transformation context</td></tr><tr><td><span class="term"><i><tt>obj</tt></i>:</span></td><td>an XPath object to be inspected for result tree fragments</td></tr><tr><td><span class="term"><i><tt>Returns</tt></i>:</span></td><td>0 in case of success and -1 in case of error.</td></tr></tbody></table></div><h3><a name="xsltFormatNumberConversion" id="xsltFormatNumberConversion"></a>Function: xsltFormatNumberConversion</h3><pre class="programlisting">xmlXPathError	xsltFormatNumberConversion	(<a href="libxslt-xsltInternals.html#xsltDecimalFormatPtr">xsltDecimalFormatPtr</a> self, <br />						 xmlChar * format, <br />						 double number, <br />						 xmlChar ** result)<br />
 </pre><p>format-number() uses the JDK 1.1 DecimalFormat class: http://java.sun.com/products/jdk/1.1/docs/api/java.text.DecimalFormat.html Structure: pattern := subpattern{;subpattern} subpattern := {prefix}integer{.fraction}{suffix} prefix := '\\u0000'..'\\uFFFD' - specialCharacters suffix := '\\u0000'..'\\uFFFD' - specialCharacters integer := '#'* '0'* '0' fraction := '0'* '#'* Notation: X* 0 or more instances of X (X | Y) either X or Y. X..Y any character from X up to Y, inclusive. S - T characters in S, except those in T Special Characters: Symbol Meaning 0 a digit # a digit, zero shows as absent . placeholder for decimal separator , placeholder for grouping separator. ; separates formats. - default negative prefix. % multiply by 100 and show as percentage ? multiply by 1000 and show as per mille X any other characters can be used in the prefix or suffix ' used to quote special characters in a prefix or suffix.</p>
-<div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>self</tt></i>:</span></td><td>the decimal format</td></tr><tr><td><span class="term"><i><tt>format</tt></i>:</span></td><td>the format requested</td></tr><tr><td><span class="term"><i><tt>number</tt></i>:</span></td><td>the value to format</td></tr><tr><td><span class="term"><i><tt>result</tt></i>:</span></td><td>the place to ouput the result</td></tr><tr><td><span class="term"><i><tt>Returns</tt></i>:</span></td><td>a possible XPath error</td></tr></tbody></table></div><h3><a name="xsltFreeAVTList" id="xsltFreeAVTList"></a>Function: xsltFreeAVTList</h3><pre class="programlisting">void	xsltFreeAVTList			(void * avt)<br />
+<div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>self</tt></i>:</span></td><td>the decimal format</td></tr><tr><td><span class="term"><i><tt>format</tt></i>:</span></td><td>the format requested</td></tr><tr><td><span class="term"><i><tt>number</tt></i>:</span></td><td>the value to format</td></tr><tr><td><span class="term"><i><tt>result</tt></i>:</span></td><td>the place to output the result</td></tr><tr><td><span class="term"><i><tt>Returns</tt></i>:</span></td><td>a possible XPath error</td></tr></tbody></table></div><h3><a name="xsltFreeAVTList" id="xsltFreeAVTList"></a>Function: xsltFreeAVTList</h3><pre class="programlisting">void	xsltFreeAVTList			(void * avt)<br />
 </pre><p>Free up the memory associated to the attribute value templates</p>
 <div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>avt</tt></i>:</span></td><td>pointer to an list of AVT structures</td></tr></tbody></table></div><h3><a name="xsltFreeRVTs" id="xsltFreeRVTs"></a>Function: xsltFreeRVTs</h3><pre class="programlisting">void	xsltFreeRVTs			(<a href="libxslt-xsltInternals.html#xsltTransformContextPtr">xsltTransformContextPtr</a> ctxt)<br />
 </pre><p>Frees all registered result value trees (Result Tree Fragments) of the transformation. Internal function; should not be called by user-code.</p>
@@ -709,7 +709,7 @@ void	xsltElemPreCompDeallocator	(<a href="libxslt-xsltInternals.html#xsltElemPre
 </pre><p>Create a new XSLT Stylesheet</p>
 <div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>Returns</tt></i>:</span></td><td>the newly allocated <a href="libxslt-xsltInternals.html#xsltStylesheetPtr">xsltStylesheetPtr</a> or NULL in case of error</td></tr></tbody></table></div><h3><a name="xsltNumberFormat" id="xsltNumberFormat"></a>Function: xsltNumberFormat</h3><pre class="programlisting">void	xsltNumberFormat		(<a href="libxslt-xsltInternals.html#xsltTransformContextPtr">xsltTransformContextPtr</a> ctxt, <br />					 <a href="libxslt-numbersInternals.html#xsltNumberDataPtr">xsltNumberDataPtr</a> data, <br />					 xmlNodePtr node)<br />
 </pre><p>Convert one number.</p>
-<div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>ctxt</tt></i>:</span></td><td>the XSLT transformation context</td></tr><tr><td><span class="term"><i><tt>data</tt></i>:</span></td><td>the formatting informations</td></tr><tr><td><span class="term"><i><tt>node</tt></i>:</span></td><td>the data to format</td></tr></tbody></table></div><h3><a name="xsltParseAnyXSLTElem" id="xsltParseAnyXSLTElem"></a>Function: xsltParseAnyXSLTElem</h3><pre class="programlisting">int	xsltParseAnyXSLTElem		(<a href="libxslt-xsltInternals.html#xsltCompilerCtxtPtr">xsltCompilerCtxtPtr</a> cctxt, <br />					 xmlNodePtr elem)<br />
+<div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>ctxt</tt></i>:</span></td><td>the XSLT transformation context</td></tr><tr><td><span class="term"><i><tt>data</tt></i>:</span></td><td>the formatting information</td></tr><tr><td><span class="term"><i><tt>node</tt></i>:</span></td><td>the data to format</td></tr></tbody></table></div><h3><a name="xsltParseAnyXSLTElem" id="xsltParseAnyXSLTElem"></a>Function: xsltParseAnyXSLTElem</h3><pre class="programlisting">int	xsltParseAnyXSLTElem		(<a href="libxslt-xsltInternals.html#xsltCompilerCtxtPtr">xsltCompilerCtxtPtr</a> cctxt, <br />					 xmlNodePtr elem)<br />
 </pre><p>Parses, validates the content models and compiles XSLT instructions.</p>
 <div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>cctxt</tt></i>:</span></td><td>the compilation context</td></tr><tr><td><span class="term"><i><tt>elem</tt></i>:</span></td><td>the element node of the XSLT instruction</td></tr><tr><td><span class="term"><i><tt>Returns</tt></i>:</span></td><td>0 if everything's fine; -1 on API or internal errors.</td></tr></tbody></table></div><h3><a name="xsltParseSequenceConstructor" id="xsltParseSequenceConstructor"></a>Function: xsltParseSequenceConstructor</h3><pre class="programlisting">void	xsltParseSequenceConstructor	(<a href="libxslt-xsltInternals.html#xsltCompilerCtxtPtr">xsltCompilerCtxtPtr</a> cctxt, <br />					 xmlNodePtr cur)<br />
 </pre><p>Parses a "template" content (or "sequence constructor" in XSLT 2.0 terms). This will additionally remove xsl:text elements from the tree.</p>
diff --git a/doc/html/libxslt-xsltutils.html b/doc/html/libxslt-xsltutils.html
index 155f050..d173415 100644
--- a/doc/html/libxslt-xsltutils.html
+++ b/doc/html/libxslt-xsltutils.html
@@ -127,7 +127,7 @@ void	xsltDropCallCallback		(void)
 <div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>Returns</tt></i>:</span></td><td>the value of xslDebugStatus.</td></tr></tbody></table></div><h3><a name="xsltGetNsProp" id="xsltGetNsProp"></a>Function: xsltGetNsProp</h3><pre class="programlisting">xmlChar *	xsltGetNsProp		(xmlNodePtr node, <br />					 const xmlChar * name, <br />					 const xmlChar * nameSpace)<br />
 </pre><p>Similar to xmlGetNsProp() but with a slightly different semantic Search and get the value of an attribute associated to a node This attribute has to be anchored in the namespace specified, or has no namespace and the element is in that namespace. This does the entity substitution. This function looks in DTD attribute declaration for #FIXED or default declaration values unless DTD use has been turned off.</p>
 <div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>node</tt></i>:</span></td><td>the node</td></tr><tr><td><span class="term"><i><tt>name</tt></i>:</span></td><td>the attribute name</td></tr><tr><td><span class="term"><i><tt>nameSpace</tt></i>:</span></td><td>the URI of the namespace</td></tr><tr><td><span class="term"><i><tt>Returns</tt></i>:</span></td><td>the attribute value or NULL if not found. It's up to the caller to free the memory.</td></tr></tbody></table></div><h3><a name="xsltGetProfileInformation" id="xsltGetProfileInformation"></a>Function: xsltGetProfileInformation</h3><pre class="programlisting">xmlDocPtr	xsltGetProfileInformation	(<a href="libxslt-xsltInternals.html#xsltTransformContextPtr">xsltTransformContextPtr</a> ctxt)<br />
-</pre><p>This function should be called after the transformation completed to extract template processing profiling informations if availble. The informations are returned as an XML document tree like &lt;?xml version="1.0"?&gt; &lt;profile&gt; &lt;template rank="1" match="*" name="" mode="" calls="6" time="48" average="8"/&gt; &lt;template rank="2" match="item2|item3" name="" mode="" calls="10" time="30" average="3"/&gt; &lt;template rank="3" match="item1" name="" mode="" calls="5" time="17" average="3"/&gt; &lt;/profile&gt; The caller will need to free up the returned tree with xmlFreeDoc()</p>
+</pre><p>This function should be called after the transformation completed to extract template processing profiling information if availble. The information are returned as an XML document tree like &lt;?xml version="1.0"?&gt; &lt;profile&gt; &lt;template rank="1" match="*" name="" mode="" calls="6" time="48" average="8"/&gt; &lt;template rank="2" match="item2|item3" name="" mode="" calls="10" time="30" average="3"/&gt; &lt;template rank="3" match="item1" name="" mode="" calls="5" time="17" average="3"/&gt; &lt;/profile&gt; The caller will need to free up the returned tree with xmlFreeDoc()</p>
 <div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>ctxt</tt></i>:</span></td><td>a transformation context</td></tr><tr><td><span class="term"><i><tt>Returns</tt></i>:</span></td><td>the xmlDocPtr corresponding to the result or NULL if not available.</td></tr></tbody></table></div><h3><a name="xsltGetQNameURI" id="xsltGetQNameURI"></a>Function: xsltGetQNameURI</h3><pre class="programlisting">const xmlChar *	xsltGetQNameURI		(xmlNodePtr node, <br />					 xmlChar ** name)<br />
 </pre><p>This function analyzes @name, if the name contains a prefix, the function seaches the associated namespace in scope for it. It will also replace @name value with the NCName, the old value being freed. Errors in the prefix lookup are signalled by setting @name to NULL. NOTE: the namespace returned is a pointer to the place where it is defined and hence has the same lifespan as the document holding it.</p>
 <div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>node</tt></i>:</span></td><td>the node holding the QName</td></tr><tr><td><span class="term"><i><tt>name</tt></i>:</span></td><td>pointer to the initial QName value</td></tr><tr><td><span class="term"><i><tt>Returns</tt></i>:</span></td><td>the namespace URI if there is a prefix, or NULL if @name is not prefixed.</td></tr></tbody></table></div><h3><a name="xsltGetQNameURI2" id="xsltGetQNameURI2"></a>Function: xsltGetQNameURI2</h3><pre class="programlisting">const xmlChar *	xsltGetQNameURI2	(<a href="libxslt-xsltInternals.html#xsltStylesheetPtr">xsltStylesheetPtr</a> style, <br />					 xmlNodePtr node, <br />					 const xmlChar ** name)<br />
@@ -142,8 +142,8 @@ void	xsltHandleDebuggerCallback	(xmlNodePtr cur, <br />					 xmlNodePtr node, <b
 <div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>ctxt</tt></i>:</span></td><td>an XSLT processing context</td></tr><tr><td><span class="term"><i><tt>node</tt></i>:</span></td><td>The current node</td></tr><tr><td><span class="term"><i><tt>inst</tt></i>:</span></td><td>The node containing the message instruction</td></tr></tbody></table></div><h3><a name="xsltPrintErrorContext" id="xsltPrintErrorContext"></a>Function: xsltPrintErrorContext</h3><pre class="programlisting">void	xsltPrintErrorContext		(<a href="libxslt-xsltInternals.html#xsltTransformContextPtr">xsltTransformContextPtr</a> ctxt, <br />					 <a href="libxslt-xsltInternals.html#xsltStylesheetPtr">xsltStylesheetPtr</a> style, <br />					 xmlNodePtr node)<br />
 </pre><p>Display the context of an error.</p>
 <div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>ctxt</tt></i>:</span></td><td>the transformation context</td></tr><tr><td><span class="term"><i><tt>style</tt></i>:</span></td><td>the stylesheet</td></tr><tr><td><span class="term"><i><tt>node</tt></i>:</span></td><td>the current node being processed</td></tr></tbody></table></div><h3><a name="xsltSaveProfiling" id="xsltSaveProfiling"></a>Function: xsltSaveProfiling</h3><pre class="programlisting">void	xsltSaveProfiling		(<a href="libxslt-xsltInternals.html#xsltTransformContextPtr">xsltTransformContextPtr</a> ctxt, <br />					 FILE * output)<br />
-</pre><p>Save the profiling informations on @output</p>
-<div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>ctxt</tt></i>:</span></td><td>an XSLT context</td></tr><tr><td><span class="term"><i><tt>output</tt></i>:</span></td><td>a FILE * for saving the informations</td></tr></tbody></table></div><h3><a name="xsltSaveResultTo" id="xsltSaveResultTo"></a>Function: xsltSaveResultTo</h3><pre class="programlisting">int	xsltSaveResultTo		(xmlOutputBufferPtr buf, <br />					 xmlDocPtr result, <br />					 <a href="libxslt-xsltInternals.html#xsltStylesheetPtr">xsltStylesheetPtr</a> style)<br />
+</pre><p>Save the profiling information on @output</p>
+<div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>ctxt</tt></i>:</span></td><td>an XSLT context</td></tr><tr><td><span class="term"><i><tt>output</tt></i>:</span></td><td>a FILE * for saving the information</td></tr></tbody></table></div><h3><a name="xsltSaveResultTo" id="xsltSaveResultTo"></a>Function: xsltSaveResultTo</h3><pre class="programlisting">int	xsltSaveResultTo		(xmlOutputBufferPtr buf, <br />					 xmlDocPtr result, <br />					 <a href="libxslt-xsltInternals.html#xsltStylesheetPtr">xsltStylesheetPtr</a> style)<br />
 </pre><p>Save the result @result obtained by applying the @style stylesheet to an I/O output channel @buf</p>
 <div class="variablelist"><table border="0"><col align="left" /><tbody><tr><td><span class="term"><i><tt>buf</tt></i>:</span></td><td>an output buffer</td></tr><tr><td><span class="term"><i><tt>result</tt></i>:</span></td><td>the result xmlDocPtr</td></tr><tr><td><span class="term"><i><tt>style</tt></i>:</span></td><td>the stylesheet</td></tr><tr><td><span class="term"><i><tt>Returns</tt></i>:</span></td><td>the number of byte written or -1 in case of failure.</td></tr></tbody></table></div><h3><a name="xsltSaveResultToFd" id="xsltSaveResultToFd"></a>Function: xsltSaveResultToFd</h3><pre class="programlisting">int	xsltSaveResultToFd		(int fd, <br />					 xmlDocPtr result, <br />					 <a href="libxslt-xsltInternals.html#xsltStylesheetPtr">xsltStylesheetPtr</a> style)<br />
 </pre><p>Save the result @result obtained by applying the @style stylesheet to an open file descriptor This does not close the descriptor.</p>
diff --git a/doc/libxslt-api.xml b/doc/libxslt-api.xml
index 1cf7c89..5309baf 100644
--- a/doc/libxslt-api.xml
+++ b/doc/libxslt-api.xml
@@ -1362,7 +1362,7 @@ preserve space elements'/>
 *'/>
       <field name='templates' type='xsltTemplatePtr' info=' the ordered list of templates'/>
       <field name='templatesHash' type='void *' info=' hash table or wherever compiled templates
-informations are stored'/>
+information are stored'/>
       <field name='rootMatch' type='void *' info=' template based on /'/>
       <field name='keyMatch' type='void *' info=' template based on key()'/>
       <field name='elemMatch' type='void *' info=' template based on *'/>
@@ -1451,7 +1451,7 @@ TODO: We need to get rid of this.
 *  refactored code.
 *'/>
       <field name='inheritedNsNr' type='int' info=' number of inherited namespaces'/>
-      <field name='inheritedNs' type='xmlNsPtr *' info=' inherited non-excluded namespaces Profiling informations'/>
+      <field name='inheritedNs' type='xmlNsPtr *' info=' inherited non-excluded namespaces Profiling information'/>
       <field name='nbCalls' type='int' info=' the number of time the template was called'/>
       <field name='time' type='unsigned long' info=' the time spent in this template'/>
       <field name='params' type='void *' info=' xsl:param instructions'/>
@@ -1511,7 +1511,7 @@ TODO: We need to get rid of this.
       <field name='_private' type='void *' info=' user defined data'/>
       <field name='extrasNr' type='int' info=' the number of extras used'/>
       <field name='extrasMax' type='int' info=' the number of extras allocated'/>
-      <field name='extras' type='xsltRuntimeExtraPtr' info=' extra per runtime informations'/>
+      <field name='extras' type='xsltRuntimeExtraPtr' info=' extra per runtime information'/>
       <field name='styleList' type='xsltDocumentPtr' info=' the stylesheet docs list'/>
       <field name='sec' type='void *' info=' the security preferences if any'/>
       <field name='error' type='xmlGenericErrorFunc' info=' a specific error handler'/>
@@ -1858,7 +1858,7 @@ exits'/>
       <arg name='ctxt' type='xsltTransformContextPtr' info='an XSLT processing context'/>
       <arg name='node' type='xmlNodePtr' info='The current node'/>
       <arg name='inst' type='xmlNodePtr' info='the instruction in the stylesheet'/>
-      <arg name='comp' type='xsltStylePreCompPtr' info='precomputed informations'/>
+      <arg name='comp' type='xsltStylePreCompPtr' info='precomputed information'/>
     </function>
     <function name='xsltDebugDumpExtensions' file='extensions'>
       <info>Dumps a list of the registered XSLT extension functions and elements</info>
@@ -2085,7 +2085,7 @@ exits'/>
       <arg name='doc' type='xmlDocPtr' info='a parsed XML document'/>
     </function>
     <function name='xsltFindElemSpaceHandling' file='imports'>
-      <info>Find strip-space or preserve-space informations for an element respect the import precedence or the wildcards</info>
+      <info>Find strip-space or preserve-space information for an element respect the import precedence or the wildcards</info>
       <return type='int' info='1 if space should be stripped, 0 if not, and 2 if everything should be CDTATA wrapped.'/>
       <arg name='ctxt' type='xsltTransformContextPtr' info='an XSLT transformation context'/>
       <arg name='node' type='xmlNodePtr' info='an XML node'/>
@@ -2111,7 +2111,7 @@ exits'/>
       <arg name='self' type='xsltDecimalFormatPtr' info='the decimal format'/>
       <arg name='format' type='xmlChar *' info='the format requested'/>
       <arg name='number' type='double' info='the value to format'/>
-      <arg name='result' type='xmlChar **' info='the place to ouput the result'/>
+      <arg name='result' type='xmlChar **' info='the place to output the result'/>
     </function>
     <function name='xsltFormatNumberFunction' file='functions'>
       <info>Implement the format-number() XSLT function string format-number(number, string, string?)</info>
@@ -2296,7 +2296,7 @@ exits'/>
       <arg name='out' type='xmlNodePtr' info='the result element'/>
     </function>
     <function name='xsltGetProfileInformation' file='xsltutils'>
-      <info>This function should be called after the transformation completed to extract template processing profiling informations if availble. The informations are returned as an XML document tree like &lt;?xml version=&quot;1.0&quot;?&gt; &lt;profile&gt; &lt;template rank=&quot;1&quot; match=&quot;*&quot; name=&quot;&quot; mode=&quot;&quot; calls=&quot;6&quot; time=&quot;48&quot; average=&quot;8&quot;/&gt; &lt;template rank=&quot;2&quot; match=&quot;item2|item3&quot; name=&quot;&quot; mode=&quot;&quot; calls=&quot;10&quot; time=&quot;30&quot; average=&quot;3&quot;/&gt; &lt;template rank=&quot;3&quot; match=&quot;item1&quot; name=&quot;&quot; mode=&quot;&quot; calls=&quot;5&quot; time=&quot;17&quot; average=&quot;3&quot;/&gt; &lt;/profile&gt; The caller will need to free up the returned tree with xmlFreeDoc()</info>
+      <info>This function should be called after the transformation completed to extract template processing profiling information if availble. The information are returned as an XML document tree like &lt;?xml version=&quot;1.0&quot;?&gt; &lt;profile&gt; &lt;template rank=&quot;1&quot; match=&quot;*&quot; name=&quot;&quot; mode=&quot;&quot; calls=&quot;6&quot; time=&quot;48&quot; average=&quot;8&quot;/&gt; &lt;template rank=&quot;2&quot; match=&quot;item2|item3&quot; name=&quot;&quot; mode=&quot;&quot; calls=&quot;10&quot; time=&quot;30&quot; average=&quot;3&quot;/&gt; &lt;template rank=&quot;3&quot; match=&quot;item1&quot; name=&quot;&quot; mode=&quot;&quot; calls=&quot;5&quot; time=&quot;17&quot; average=&quot;3&quot;/&gt; &lt;/profile&gt; The caller will need to free up the returned tree with xmlFreeDoc()</info>
       <return type='xmlDocPtr' info='the xmlDocPtr corresponding to the result or NULL if not available.'/>
       <arg name='ctxt' type='xsltTransformContextPtr' info='a transformation context'/>
     </function>
@@ -2539,7 +2539,7 @@ exits'/>
       <info>Convert one number.</info>
       <return type='void'/>
       <arg name='ctxt' type='xsltTransformContextPtr' info='the XSLT transformation context'/>
-      <arg name='data' type='xsltNumberDataPtr' info='the formatting informations'/>
+      <arg name='data' type='xsltNumberDataPtr' info='the formatting information'/>
       <arg name='node' type='xmlNodePtr' info='the data to format'/>
     </function>
     <function name='xsltParseAnyXSLTElem' file='xsltInternals'>
@@ -2856,10 +2856,10 @@ exits'/>
       <arg name='userCtxt' type='xsltTransformContextPtr' info='user provided transform context'/>
     </function>
     <function name='xsltSaveProfiling' file='xsltutils'>
-      <info>Save the profiling informations on @output</info>
+      <info>Save the profiling information on @output</info>
       <return type='void'/>
       <arg name='ctxt' type='xsltTransformContextPtr' info='an XSLT context'/>
-      <arg name='output' type='FILE *' info='a FILE * for saving the informations'/>
+      <arg name='output' type='FILE *' info='a FILE * for saving the information'/>
     </function>
     <function name='xsltSaveResultTo' file='xsltutils'>
       <info>Save the result @result obtained by applying the @style stylesheet to an I/O output channel @buf</info>
diff --git a/doc/libxslt-refs.xml b/doc/libxslt-refs.xml
index 3d2169f..d7b1094 100644
--- a/doc/libxslt-refs.xml
+++ b/doc/libxslt-refs.xml
@@ -5553,7 +5553,7 @@
           <ref name='xsltTransformFunction'/>
           <ref name='xsltValueOf'/>
         </word>
-        <word name='informations'>
+        <word name='information'>
           <ref name='_xsltStylesheet'/>
           <ref name='_xsltTemplate'/>
           <ref name='_xsltTransformContext'/>
@@ -6437,7 +6437,7 @@
           <ref name='xsltSetCtxtSecurityPrefs'/>
           <ref name='xsltSetSecurityPrefs'/>
         </word>
-        <word name='ouput'>
+        <word name='output'>
           <ref name='xsltFormatNumberConversion'/>
         </word>
         <word name='out'>
diff --git a/libexslt/exsltconfig.h.in b/libexslt/exsltconfig.h.in
index b46ffc0..03b4b3b 100644
--- a/libexslt/exsltconfig.h.in
+++ b/libexslt/exsltconfig.h.in
@@ -1,5 +1,5 @@
 /*
- * exsltconfig.h: compile-time version informations for the EXSLT library
+ * exsltconfig.h: compile-time version information for the EXSLT library
  *
  * See Copyright for the status of this software.
  *
diff --git a/libxslt/extensions.c b/libxslt/extensions.c
index 30c3368..3589ef2 100644
--- a/libxslt/extensions.c
+++ b/libxslt/extensions.c
@@ -2061,7 +2061,7 @@ xsltExtElementPreCompTest(xsltStylesheetPtr style, xmlNodePtr inst,
  * @ctxt:  an XSLT processing context
  * @node:  The current node
  * @inst:  the instruction in the stylesheet
- * @comp:  precomputed informations
+ * @comp:  precomputed information
  *
  * Process a libxslt:test node
  */
diff --git a/libxslt/extra.c b/libxslt/extra.c
index 17df4ba..97aa262 100644
--- a/libxslt/extra.c
+++ b/libxslt/extra.c
@@ -50,7 +50,7 @@
  * @ctxt:  an XSLT processing context
  * @node:  The current node
  * @inst:  the instruction in the stylesheet
- * @comp:  precomputed informations
+ * @comp:  precomputed information
  *
  * Process an debug node
  */
diff --git a/libxslt/imports.c b/libxslt/imports.c
index 9277b4f..c11ee91 100644
--- a/libxslt/imports.c
+++ b/libxslt/imports.c
@@ -329,7 +329,7 @@ xsltNeedElemSpaceHandling(xsltTransformContextPtr ctxt) {
  * @ctxt:  an XSLT transformation context
  * @node:  an XML node
  *
- * Find strip-space or preserve-space informations for an element
+ * Find strip-space or preserve-space information for an element
  * respect the import precedence or the wildcards
  *
  * Returns 1 if space should be stripped, 0 if not, and 2 if everything
diff --git a/libxslt/numbers.c b/libxslt/numbers.c
index 9cd1cf3..2072c31 100644
--- a/libxslt/numbers.c
+++ b/libxslt/numbers.c
@@ -703,7 +703,7 @@ xsltNumberFormatGetValue(xmlXPathContextPtr context,
 /**
  * xsltNumberFormat:
  * @ctxt: the XSLT transformation context
- * @data: the formatting informations
+ * @data: the formatting information
  * @node: the data to format
  *
  * Convert one number.
@@ -879,7 +879,7 @@ xsltFormatNumberPreSuffix(xsltDecimalFormatPtr self, xmlChar **format, xsltForma
  * @self: the decimal format
  * @format: the format requested
  * @number: the value to format
- * @result: the place to ouput the result
+ * @result: the place to output the result
  *
  * format-number() uses the JDK 1.1 DecimalFormat class:
  *
diff --git a/libxslt/xsltInternals.h b/libxslt/xsltInternals.h
index 95e8fe6..5321e9a 100644
--- a/libxslt/xsltInternals.h
+++ b/libxslt/xsltInternals.h
@@ -290,7 +290,7 @@ struct _xsltTemplate {
     int inheritedNsNr;  /* number of inherited namespaces */
     xmlNsPtr *inheritedNs;/* inherited non-excluded namespaces */
 
-    /* Profiling informations */
+    /* Profiling information */
     int nbCalls;        /* the number of time the template was called */
     unsigned long time; /* the time spent in this template */
     void *params;       /* xsl:param instructions */
@@ -1512,7 +1512,7 @@ struct _xsltStylesheet {
      */
     xsltTemplatePtr templates;	/* the ordered list of templates */
     void *templatesHash;	/* hash table or wherever compiled templates
-				   informations are stored */
+				   information are stored */
     void *rootMatch;		/* template based on / */
     void *keyMatch;		/* template based on key() */
     void *elemMatch;		/* template based on * */
@@ -1730,7 +1730,7 @@ struct _xsltTransformContext {
 
     int              extrasNr;		/* the number of extras used */
     int              extrasMax;		/* the number of extras allocated */
-    xsltRuntimeExtraPtr extras;		/* extra per runtime informations */
+    xsltRuntimeExtraPtr extras;		/* extra per runtime information */
 
     xsltDocumentPtr  styleList;		/* the stylesheet docs list */
     void                 * sec;		/* the security preferences if any */
diff --git a/libxslt/xsltconfig.h.in b/libxslt/xsltconfig.h.in
index b4cac6d..739515d 100644
--- a/libxslt/xsltconfig.h.in
+++ b/libxslt/xsltconfig.h.in
@@ -1,6 +1,6 @@
 /*
- * Summary: compile-time version informations for the XSLT engine
- * Description: compile-time version informations for the XSLT engine
+ * Summary: compile-time version information for the XSLT engine
+ * Description: compile-time version information for the XSLT engine
  *              this module is autogenerated.
  *
  * Copy: See Copyright for the status of this software.
diff --git a/libxslt/xsltutils.c b/libxslt/xsltutils.c
index ab981a4..9e9993e 100644
--- a/libxslt/xsltutils.c
+++ b/libxslt/xsltutils.c
@@ -1466,7 +1466,7 @@ xsltSaveResultTo(xmlOutputBufferPtr buf, xmlDocPtr result,
 	((style->method == NULL) ||
 	 (!xmlStrEqual(style->method, (const xmlChar *) "xhtml")))) {
         xsltGenericError(xsltGenericErrorContext,
-		"xsltSaveResultTo : unknown ouput method\n");
+		"xsltSaveResultTo : unknown output method\n");
         return(-1);
     }
 
@@ -1794,7 +1794,7 @@ xsltSaveResultToString(xmlChar **doc_txt_ptr, int * doc_txt_len,
 
 /************************************************************************
  *									*
- *		Generating profiling informations			*
+ *		Generating profiling information			*
  *									*
  ************************************************************************/
 
@@ -1954,9 +1954,9 @@ pretty_templ_match(xsltTemplatePtr templ) {
 /**
  * xsltSaveProfiling:
  * @ctxt:  an XSLT context
- * @output:  a FILE * for saving the informations
+ * @output:  a FILE * for saving the information
  *
- * Save the profiling informations on @output
+ * Save the profiling information on @output
  */
 void
 xsltSaveProfiling(xsltTransformContextPtr ctxt, FILE *output) {
@@ -2153,7 +2153,7 @@ xsltSaveProfiling(xsltTransformContextPtr ctxt, FILE *output) {
 
 /************************************************************************
  *									*
- *		Fetching profiling informations				*
+ *		Fetching profiling information				*
  *									*
  ************************************************************************/
 
@@ -2162,8 +2162,8 @@ xsltSaveProfiling(xsltTransformContextPtr ctxt, FILE *output) {
  * @ctxt:  a transformation context
  *
  * This function should be called after the transformation completed
- * to extract template processing profiling informations if availble.
- * The informations are returned as an XML document tree like
+ * to extract template processing profiling information if availble.
+ * The information are returned as an XML document tree like
  * <?xml version="1.0"?>
  * <profile>
  * <template rank="1" match="*" name=""
diff --git a/libxslt/xsltwin32config.h.in b/libxslt/xsltwin32config.h.in
index cceeb6b..94c3dab 100644
--- a/libxslt/xsltwin32config.h.in
+++ b/libxslt/xsltwin32config.h.in
@@ -1,7 +1,7 @@
 /*
- * Summary: compile-time version informations for the XSLT engine 
+ * Summary: compile-time version information for the XSLT engine 
  *          when compiled on windows
- * Description: compile-time version informations for the XSLT engine
+ * Description: compile-time version information for the XSLT engine
  *              when compiled on windows. This file is generated.
  *
  * Copy: See Copyright for the status of this software.
diff --git a/python/tests/pyxsltproc.py b/python/tests/pyxsltproc.py
index 238fa5b..5843470 100755
--- a/python/tests/pyxsltproc.py
+++ b/python/tests/pyxsltproc.py
@@ -123,7 +123,7 @@ def usage(name = 'pyxsltproc'):
     print "\t             otherwise XML Catalogs starting from "
     print "\t         file:///etc/xml/catalog are activated by default"
     print "\t--xinclude : do XInclude processing on document input"
-    print "\t--profile or --norman : dump profiling informations "
+    print "\t--profile or --norman : dump profiling information "
     print "\nProject libxslt home page: http://xmlsoft.org/XSLT/"
     print "To report bugs and get help: http://xmlsoft.org/XSLT/bugs.html"
 
@@ -166,7 +166,7 @@ def main(args = None):
             print "TODO: xsltSetGenericDebugFunc() mapping missing"
         elif args[i] == "-version" or args[i] == "--version" or \
              args[i] == "-V":
-            print "TODO: version informations mapping missing"
+            print "TODO: version information mapping missing"
         elif args[i] == "-verbose" or args[i] == "--verbose" or \
              args[i] == "-v":
             if repeat == 0:
diff --git a/tests/docbook/result/fo/gdp-handbook.fo b/tests/docbook/result/fo/gdp-handbook.fo
index 7078f86..83d7d21 100644
--- a/tests/docbook/result/fo/gdp-handbook.fo
+++ b/tests/docbook/result/fo/gdp-handbook.fo
@@ -676,7 +676,7 @@ V1.1//EN"[]&gt;
           the directory.
         </fo:block>
             <fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
-          If you want to create PostScript ouput, you will need to create an
+          If you want to create PostScript output, you will need to create an
           EPS version of your image file to be displayed in the
           PostScript file. There is a simple script available which
           allows you to change a PNG image into an EPS file
diff --git a/tests/docbook/result/html/gdp-handbook.html b/tests/docbook/result/html/gdp-handbook.html
index 211e620..026beb6 100644
--- a/tests/docbook/result/html/gdp-handbook.html
+++ b/tests/docbook/result/html/gdp-handbook.html
@@ -328,7 +328,7 @@ V1.1//EN"[]&gt;
           automatically look for <tt>myfile.png</tt> in
           the directory.
         </p><p>
-          If you want to create PostScript ouput, you will need to create an
+          If you want to create PostScript output, you will need to create an
           EPS version of your image file to be displayed in the
           PostScript file. There is a simple script available which
           allows you to change a PNG image into an EPS file
diff --git a/tests/docbook/result/xhtml/gdp-handbook.xhtml b/tests/docbook/result/xhtml/gdp-handbook.xhtml
index dff9a72..ca7199e 100644
--- a/tests/docbook/result/xhtml/gdp-handbook.xhtml
+++ b/tests/docbook/result/xhtml/gdp-handbook.xhtml
@@ -329,7 +329,7 @@ V1.1//EN"[]&gt;
           automatically look for <tt>myfile.png</tt> in
           the directory.
         </p><p>
-          If you want to create PostScript ouput, you will need to create an
+          If you want to create PostScript output, you will need to create an
           EPS version of your image file to be displayed in the
           PostScript file. There is a simple script available which
           allows you to change a PNG image into an EPS file
diff --git a/tests/docbook/test/gdp-handbook.xml b/tests/docbook/test/gdp-handbook.xml
index 6fe6253..f7cda69 100644
--- a/tests/docbook/test/gdp-handbook.xml
+++ b/tests/docbook/test/gdp-handbook.xml
@@ -625,7 +625,7 @@ V1.1//EN"[]>]]>
           the directory.
         </para>
         <para>
-          If you want to create PostScript ouput, you will need to create an
+          If you want to create PostScript output, you will need to create an
           EPS version of your image file to be displayed in the
           PostScript file. There is a simple script available which
           allows you to change a PNG image into an EPS file
diff --git a/tests/plugins/testplugin.c b/tests/plugins/testplugin.c
index 95bb450..315d78b 100644
--- a/tests/plugins/testplugin.c
+++ b/tests/plugins/testplugin.c
@@ -155,7 +155,7 @@ xsltExtElementPreCompTest(xsltStylesheetPtr style, xmlNodePtr inst,
  * @ctxt:  an XSLT processing context
  * @node:  The current node
  * @inst:  the instruction in the stylesheet
- * @comp:  precomputed informations
+ * @comp:  precomputed information
  *
  * Process a libxslt:test node
  */
diff --git a/xsltproc/xsltproc.c b/xsltproc/xsltproc.c
index 35f37e8..9ec4b76 100644
--- a/xsltproc/xsltproc.c
+++ b/xsltproc/xsltproc.c
@@ -538,7 +538,7 @@ static void usage(const char *name) {
     printf("\t--xincludestyle : do XInclude processing on stylesheets\n");
 #endif
     printf("\t--load-trace : print trace of all external entites loaded\n");
-    printf("\t--profile or --norman : dump profiling informations \n");
+    printf("\t--profile or --norman : dump profiling information \n");
     printf("\nProject libxslt home page: http://xmlsoft.org/XSLT/\n");
     printf("To report bugs and get help: http://xmlsoft.org/XSLT/bugs.html\n");
 }
